summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/bluez/run.rfcomm
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verison.net>2010-04-01 23:28:58 (GMT)
committerMichael Hanson <hansonorders@verison.net>2010-04-01 23:28:58 (GMT)
commit71fef603911d15fd30b1033e565aecb01c4a1c11 (patch)
treeb78b30f64f69f6361f4385a2df8560882b328c93 /abs/extra-testing/bluez/run.rfcomm
parente529a6ff6ddfdacdb63591fbee673a970f531d05 (diff)
downloadlinhes_pkgbuild-71fef603911d15fd30b1033e565aecb01c4a1c11.zip
linhes_pkgbuild-71fef603911d15fd30b1033e565aecb01c4a1c11.tar.gz
linhes_pkgbuild-71fef603911d15fd30b1033e565aecb01c4a1c11.tar.bz2
bluez: Add runit support. Needs testing.
Ref #676
Diffstat (limited to 'abs/extra-testing/bluez/run.rfcomm')
-rw-r--r--abs/extra-testing/bluez/run.rfcomm17
1 files changed, 17 insertions, 0 deletions
diff --git a/abs/extra-testing/bluez/run.rfcomm b/abs/extra-testing/bluez/run.rfcomm
new file mode 100644
index 0000000..72b3e0f
--- /dev/null
+++ b/abs/extra-testing/bluez/run.rfcomm
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# Start/stop the Bluetooth daemons
+#
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/bluetooth ] && . /etc/conf.d/bluetooth
+
+RFCOMM_CONFIG="/etc/bluetooth/rfcomm.conf"
+
+svwaitup 3 /var/service/bluetoothd || exit 1
+
+ stat_runit "Starting RFCOMM for the bluetooth subsystem"
+ /usr/bin/rfcomm -f $RFCOMM_CONFIG bind all
+ /sbin/sv down .